Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.util
Class LookAndFeelSettings

    java.lang.Object
      org.flexdock.util.LookAndFeelSettings

    public class LookAndFeelSettings

extends Object

Author:
  Christopher Butler

Field Summary
`static String` | `DOM_RESOURCE`
`static String` | `TAB_EDGE_INSET_KEY`
`static String` | `TAB_PANE_BORDER_INSETS`

Method Summary
`static int` | `getTabEdgeInset(int tabPlacement)`
`static boolean` | `isSkinLFSupported()`
`static void` | `setTabEdgeInset(String plafKey, int inset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAB_PANE_BORDER_INSETS

    public static final String TAB_PANE_BORDER_INSETS

See Also:
  Constant Field Values

### DOM_RESOURCE

    public static final String DOM_RESOURCE

See Also:
  Constant Field Values

### TAB_EDGE_INSET_KEY

    public static final String TAB_EDGE_INSET_KEY

See Also:
  Constant Field Values

Method Detail

### isSkinLFSupported

    public static boolean isSkinLFSupported()

### getTabEdgeInset

    public static int getTabEdgeInset(int tabPlacement)

### setTabEdgeInset

    public static void setTabEdgeInset(String plafKey,
                                       int inset)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD